sobki_admin:
  label: "Sobki Admin icons"
  description: "Icons for additional admin elements. To use only in code by developers."
  license:
    name: MIT
    url: https://github.com/twbs/icons/blob/main/LICENSE
    gpl-compatible: true
  extractor: svg
  config:
    sources:
      - assets/icons/bootstrap/{icon_id}.svg
  settings:
    size:
      title: "Size"
      description: "Set a size for this icon."
      type: "integer"
      default: 20
    class:
      title: "Class"
      description: "Set a class for this icon."
      type: "string"
      default: ""
    color:
      title: "Color"
      type: "string"
    alt:
      title: "Alt text"
      description: "Accessibility alternative text, leave empty for decorative icon."
      type: "string"
  template: >-
    {% set classes = ['bi', 'bi-' ~ icon_id, class] %}
    <svg
      xmlns="http://www.w3.org/2000/svg"
      class="{{ classes|join(' ') }}"
      width="{{ size|default('20') }}"
      height="{{ size|default('20') }}"
      fill="{{ color|default('currentColor') }}"
      viewBox="0 0 16 16"
      {% if alt is empty %}
        aria-hidden="true"
      {% else %}
        aria-label="{{ alt }}"
      {% endif %}
    >
      {{ content }}
    </svg>
